Package uk.me.nxg.unity

# Class UnitParser.Lexeme

java.lang.Object
uk.me.nxg.unity.UnitParser.Lexeme

Enclosing class:
  `UnitParser`

public static class UnitParser.Lexeme extends Object
A single lexeme. This is primarily for debugging, and may be removed or hidden in future.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`token`
`final uk.me.nxg.unity.UnitVal`
`value`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### token

public final int token

### value

public final uk.me.nxg.unity.UnitVal value

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`